function testForm(form) {
	if( !window.XMLHttpRequest ) return true;

	var corps = getFormParams(form);
	
	var httpRequest = new XMLHttpRequest();
	httpRequest.onload = null;
	
	httpRequest.open("POST", "Test", false);
	httpRequest.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
	httpRequest.send(corps);
	
	if ( httpRequest.status != "200" ) {
		var alerte = confirm("Http request statut error = " + httpRequest.status);
		return alerte;
	}
	else {
		var testElement =  httpRequest.responseXML.documentElement;
		var result = testElement.getAttribute("result");
		if (result == -1) {
			alert(getErrorText(testElement));
			return false;
		}
		else {
			return true;
		}
	}
}

function getErrorText(testElement) {
	var text = "";
	for(var i = 0; i< testElement.childNodes.length; i++) {
		var nd = testElement.childNodes[i];
		if (nd instanceof Element) {
			if (nd.tagName == "error") {
				text = text + nd.firstChild.data + "\n";
			}
		}

}
	return text;
}




function getFormParams(form) {
	var suivant = false;
	var text = "";
	for (var i = 0;i < form.elements.length; i++) {
		var couple = getCouple(form.elements[i]);
			if (couple != null) {
				if (suivant) text= text+"&";
				else suivant = true;
				text = text + couple;
			}
	}
	return text;
}

function getCouple(inputElement) {
var name = inputElement.name;
if ((name == null) || (name.length == 0)) return null; 
	var type = inputElement.type;
	if (type == "checkbox") {
		if (inputElement.checked) return  getSimple(inputElement);
		else return null;
	}
	else if (type == "file") {
		alert("ShouldNotOccur : testForm with FileUpload");
		return null;
	}
	else if (type == "hidden") {
		return  getSimple(inputElement);
	}
	else if (type == "password") {
		alert("ShouldNotOccur : testForm with Password");
		return null;
	}
	else if (type == "radio") {
		if (inputElement.checked) return getSimple(inputElement);
		else return null;
	}
	else if (type == "reset") {
		return null;
	}
	else if (type == "select-one") {
		return  getSelectString(inputElement);
	}
	else if (type == "select-multiple") {
		return  getSelectString(inputElement);
	}
	else if (type == "submit") {
		return null;
	}
	else if (type == "text") {
		return  getSimple(inputElement);
	}
	else if (type == "textarea") {
		alert("ShouldNotOccur : testForm with TextArea");
		return null;
	}
	else {
		return null;
	}
}

function getSimple(inputElement) {
return inputElement.name + "=" + encodeURI(inputElement.value);
}

function getSelectString(select) {
	var name = select.name;
	var text = "";
	var suivant = false;
	for(var i = 0; i < select.options.length; i++) {
		var option = select.options[i];
		if (option.selected) {
			if (suivant) text = text + "&";
			else suivant = true;
			text = text + name + "=" + encodeURI(option.value);
		}
	}
	if (text.length == 0) return null;
	else return text;
}

