/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2008 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.scrutari.searchengine;

import net.mapeadores.scrutari.db.*;
import net.mapeadores.util.text.*;

/**
 *
 * @author Vincent Calame
 */
public class SearchEngineParameters {
    private ScrutariDB scrutariDB;
    private String identifiant;
    private SearchSequence searchSequence;
    private SearchOptions searchOptions;
    private GlobalSearchOptions globalSearchOptions;
    
    
    public SearchEngineParameters() {
    }

    public ScrutariDB getScrutariDB() {
        return scrutariDB;
    }

    public void setScrutariDB(ScrutariDB scrutariDB) {
        this.scrutariDB = scrutariDB;
    }

    public String getIdentifiant() {
        return identifiant;
    }

    public void setIdentifiant(String identifiant) {
        this.identifiant = identifiant;
    }

    public SearchSequence getSearchSequence() {
        return searchSequence;
    }

    public void setSearchSequence(SearchSequence searchSequence) {
        this.searchSequence = searchSequence;
    }

    public SearchOptions getSearchOptions() {
        return searchOptions;
    }

    public void setSearchOptions(SearchOptions searchOptions) {
        this.searchOptions = searchOptions;
    }

    public GlobalSearchOptions getGlobalSearchOptions() {
        return globalSearchOptions;
    }

    public void setGlobalSearchOptions(GlobalSearchOptions globalSearchOptions) {
        this.globalSearchOptions = globalSearchOptions;
    }
    
}
