/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2008 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package net.mapeadores.scrutari.xml;

/**
 *
 * @author Vincent Calame
 */
public interface ErrorKeys {
    
    public final static String SEVERE_XML_AUTHORITYUUID = "severe.xml.authorityuuid";
    public final static String SEVERE_XML_NOMBASE = "severe.xml.basename";
    public final static String SEVERE_XML_BASE_MISSINGMETADATA = "severe.xml.base.missingmetadata";
    public final static String WARNING_XML_BASE_LANGERROR = "warning.xml.base.langerror";
    public final static String WARNING_XML_FICHE_MISSINGFICHEID = "warning.xml.fiche.missingficheid";
    public final static String WARNING_XML_FICHE_LANGERROR = "warning.xml.fiche.langerror";
    public final static String WARNING_XML_FICHE_DATEERROR = "warning.xml.fiche.dateerror";
    public final static String WARNING_XML_FICHE_TOMANYCOMPLEMENTS = "warning.xml.fiche.tomanycomplements";
    public final static String WARNING_XML_FICHE_DOUBLEFICHEID = "warning.xml.fiche.doubleficheid";
    public final static String WARNING_XML_CORPUS_MISSINGCORPUSNAME = "warning.xml.corpus.missingcorpusname";
    public final static String WARNING_XML_CORPUS_DOUBLECORPUSNAME = "warning.xml.corpus.doublecorpusname";
    public final static String WARNING_XML_CORPUS_MISSINGMETADATA = "warning.xml.corpus.missingmetadata";
    public final static String WARNING_XML_CORPUS_LANGERROR = "warning.xml.corpus.langerror";
    public final static String WARNING_XML_MOTCLE_MISSINGMOTCLEID = "warning.xml.motcle.missingmotcleId";
    public final static String WARNING_XML_MOTCLE_DOUBLEMOTCLEID = "warning.xml.motcle.doublemotcleid";
    public final static String WARNING_XML_MOTCLE_LANGERROR = "warning.xml.motcle.langerror";
    public final static String WARNING_XML_THESAURUS_MISSINGTHESAURUSNAME ="warning.xml.thesaurus.missingthesaurusname";
    public final static String WARNING_XML_THESAURUS_DOUBLETHESAURUSNAME= "warning.xml.thesaurus.doublenthesaurusname";
    public final static String WARNING_XML_THESAURUS_MISSINGMETADATA = "warning.xml.thesaurus.missingmetadata";
    public final static String WARNING_XML_THESAURUS_LANGERROR = "warning.xml.thesaurus.langerror";
    public final static String WARNING_XML_INDEXATION_MISSINGCORPUSPATH = "warning.xml.indexation.missingcorpuspath";
    public final static String WARNING_XML_INDEXATION_MISSINGTHESAURUSPATH = "warning.xml.indexation.missingthesauruspath";
    public final static String WARNING_XML_INDEXATION_MISSINGFICHEID = "warning.xml.indexation.missingficheid";
    public final static String WARNING_XML_INDEXATION_MISSINGMOTCLEID = "warning.xml.indexation.missingmotcleid";
    public final static String WARNING_XML_INDEXATION_WRONGFICHEID = "warning.xml.indexation.wrongficheid";
    public final static String WARNING_XML_INDEXATION_WRONGMOTCLEID = "warning.xml.indexation.wrongmotcleid";
    public final static String WARNING_XML_INDEXATION_DOUBLEINDEXATION = "warning.xml.indexation.doubleindexation";
    public final static String WARNING_XML_FICHE_TYPEERROR = "warning.xml.fiche.typeerror";
    public final static String WARNING_XML_CORPUS_TYPEERROR = "warning.xml.corpus.typeerror";

    public final static String SEVERE_DATABASE_DOUBLE = "severe.database.double";
    public final static String WARNING_DATABASE_INDEXATION_UNKNOWNFICHEURI = "severe.database.indexation.unknownficheuri";
    public final static String WARNING_DATABASE_INDEXATION_UNKNOWNMOTCLEURI = "severe.database.indexation.unknownmotcleuri";
}
