/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2008 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.sctserver.admin;

/**
 *
 * @author Vincent Calame
 */
public class ScrutariInfoUtils {
    
    private ScrutariInfoUtils() {
    }
    
    public static boolean hasChange(ScrutariInfo scrutariInfo, short newState, int newDate) {
        short currentState = scrutariInfo.getState();
        if (currentState != ScrutariInfo.OK_STATE) {
            if (newState == ScrutariInfo.OK_STATE) return true;
            else return false;
        }
        if (newState != ScrutariInfo.OK_STATE) return true;
        if (newDate != scrutariInfo.getLastUpdate()) return true;
        else return false;
    }
    
    
}
