/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.sctserver.conf;

/**
 *
 * @author Vincent Calame
 */
public interface ConfConstants {
    public final static short GLOBAL_CONFIO_ERROR = -1;
    public final static short GLOBAL_UNDEFINED = 0;
    public final static short GLOBAL_OK = 1;
    
    public final static short FILE_STATE_UNKNOWN = 0;
    public final static short FILE_MISSING = 1;
    public final static short FILE_XML_MALFORMED = 2;
    public final static short FILE_XML_ERROR = 3;
    public final static short FILE_XML_WARNING = 4;
    public final static short FILE_OK = 5;
    
    public static String SOURCES_NAME = "sources";
    public static String CORPUS_CLASSES_NAME = "corpus-classes";
    public static String SEARCHLOG_FILTER_NAME = "searchlog-filter";
    
    
}
