/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2008 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.util.html;

import net.mapeadores.util.localisation.*;
import java.io.*;

import java.text.NumberFormat;

/**
 *
 * @author Vincent Calame
 */
public class SubmitParameters {
    private HTMLAttributes inputAttributes = new HTMLAttributes();
    private HTMLAttributes divAttributes = new HTMLAttributes();
    private boolean encloseInDiv = true;
    
    
    public SubmitParameters() {
    }
    
    public HTMLAttributes getInputAttributes() {
        return inputAttributes;
    }
    
    public void setInputAttributes(HTMLAttributes inputAttributes) {
        if (inputAttributes == null) this.inputAttributes = new HTMLAttributes();
        else this.inputAttributes = inputAttributes;
    }
    
    public boolean isEncloseInDiv() {
        return encloseInDiv;
    }
    
    public void setEncloseInDiv(boolean encloseInDiv) {
        this.encloseInDiv = encloseInDiv;
    }

    public HTMLAttributes getDivAttributes() {
        return divAttributes;
    }

    public void setDivAttributes(HTMLAttributes divAttributes) {
        if (divAttributes == null) this.divAttributes = new HTMLAttributes();
        else this.divAttributes = divAttributes;
    }

    

}
