/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2006 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.util.langinteger;

import net.mapeadores.util.collections.IntHashMap;
import java.io.*;
import net.mapeadores.util.exceptions.*;

/**
 * Classe interne d'initialisation
 *
 * @author Vincent Calame
 */
class LangIntegerInitializer {
    
   /* LangIntegerInitializer() {
    }
    
    static IntHashMap getVoMap() {
        IntHashMap voMap = new IntHashMap();
        try {
            InputStream is = LangIntegerInitializer.class.getResourceAsStream("langvo.csv");
            BufferedReader bufReader = new BufferedReader(new InputStreamReader(is,"UTF-8"));
            String ligne = null;
            while ((ligne = bufReader.readLine()) != null) {
                if (ligne.length() > 0) {
                    int idx = ligne.indexOf(',');
                    if (idx != -1) {
                        int langInteger = LangInteger.parse(ligne.substring(0, idx));
                        voMap.put(langInteger, ligne.substring(idx+1));
                    }
                }
            }
        }
        catch(IOException ioe) {
            throw new InternalResourceException(ioe);
        }
        catch(LangIntegerException lie) {
            throw new InternalResourceException(lie);
        }
        return voMap;
    }*/
    
    
    /*static IntHashMap getIso3To2Map() {
        IntHashMap iso3to2Map = new IntHashMap();
        try {
            InputStream is = LangIntegerInitializer.class.getResourceAsStream("iso3to2.csv");
            BufferedReader bufReader = new BufferedReader(new InputStreamReader(is,"ISO-8859-1"));
            String ligne = null;
            while ((ligne = bufReader.readLine()) != null) {
                if (ligne.length() > 0) {
                    int iso3 = getIso3(ligne.substring(0, 3));
                    int iso2 = getIso2(ligne.substring(4));
                    iso3to2Map.put(iso3, new Integer(iso2));
                }
            }
        }
        catch(IOException ioe) {
            throw new InternalResourceException(ioe);
        }
        catch(LangIntegerException lie) {
            throw new InternalResourceException(lie);
        }
        return iso3to2Map;
    }
    
    static int getIso2(String s) throws LangIntegerException {
        int langInteger = 0x80000000;
        langInteger = putChar(langInteger, s.charAt(0), 1);
        langInteger = putChar(langInteger, s.charAt(1), 2);
        return langInteger;
    }
    
    static int getIso3(String s) throws LangIntegerException {
        int langInteger = getIso2(s);
        langInteger = putChar(langInteger, s.charAt(2), 3);
        return langInteger;
    }
    
    static private int putChar(int langInteger, char c, int position) throws LangIntegerException {
        return putCinqbits(langInteger, toCinqbits(c), position);
    }
    
    static int putCinqbits(int langInteger, int cinqbits, int position) {
        switch(position) {
            case 1 :
                return (langInteger | (cinqbits << 25));
            case 2 :
                return (langInteger | (cinqbits << 20));
            case 3 :
                return (langInteger | (cinqbits << 15));
            case 4 :
                return (langInteger | (cinqbits << 10));
            case 5 :
                return (langInteger | (cinqbits << 5));
            case 6 :
                return (langInteger | cinqbits);
            default:
                throw new IllegalArgumentException();
        }
    }
    
    static int toCinqbits(char c) throws LangIntegerException {
        if ((c >= 65) && (c<=90)) {
            return (int) (c - 64);
        } else if ( (c>= 97) && (c<=122)) {
            return (int) (c - 96);
        }
        throw new LangIntegerException();
    }*/
    
}
