/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.sctserver.servlets;

/**
 *
 * @author Vincent Calame
 */
public interface ConfigErrorKey {
    public final static String INIT_PARAMETER ="configerror_initparameter";
    public final static String MISSING_CONF_FILE="configerror_conffile_missing";
    public final static String CONF_FILE_DIRECTORY="configerror_conffile_dir";
    public final static String CONF_FILE_IOERROR="configerror_conffile_io";
    public final static String PARSER_CONFIG="configerror_parseconfig";
    public final static String XML_PARSE="configerror_conffile_xml";
    public final static String XML_CONFDIR_MISSING="configerror_xml_confdir_missing";
    public final static String XML_VARDIR_MISSING="configerror_xml_vardir_missing";
    public final static String XML_PATH_NOTEXIST = "configerror_xml_path_notexist";
    public final static String XML_PATH_NOTDIR = "configerror_xml_path_notdir";
}
