/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.sctserver.servlets.admin;

import java.util.*;
import net.mapeadores.util.servlets.*;
import net.mapeadores.util.logging.*;

/**
 *
 * @author Vincent Calame
 */
public class ConfUpdateCommand extends Command {
    
    public ConfUpdateCommand() {
    }
    
    public void doCommand(RequestMap requestMap) {
        if (!testCommand(requestMap)) return;
        setHtmlPageType(AdminResponseParameters.INDEX_PAGE);
        getSctServer().updateConf();
        setCommandMessage(CommandMessage.done("done_update", null));
    }
    
    public boolean testCommand(RequestMap requestMap) {
        return true;
    }
    
    public static String getCommandString() {
        return "ConfUpdate";
    }
    
    public static String getCommandKey() {
        return "SCT-03";
    }
}
