/* RechercheDeFiches - Article Search Engine
 *
 * Copyright (C) 2005 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.scrutari.db.stats;

import net.mapeadores.scrutari.data.*;
import net.mapeadores.scrutari.db.*;


/**
 *
 * @author Vincent Calame
 */
public class ThesaurusCountStats {
    private int ficheCount = 0;
    private int motcleCount = 0;
    private int indexationCount = 0;
    
    public ThesaurusCountStats() {
        
    }
    
    public int getMotcleCount() {
        return motcleCount;
    }
    
    public int getFicheCount() {
        return ficheCount;
    }
    
    public int getIndexationCount() {
        return indexationCount;
    }

    public void setFicheCount(int ficheCount) {
        this.ficheCount = ficheCount;
    }

    public void setMotcleCount(int motcleCount) {
        this.motcleCount = motcleCount;
    }

    public void setIndexationCount(int indexationCount) {
        this.indexationCount = indexationCount;
    }
    
}
