/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.sctserver.storage;

import java.io.*;

/**
 *
 * @author Vincent Calame
 */
public interface DirectoryCatalog {
    public final static String CONF_DIR = "conf";
    public final static String VAR_DIR = "var";
    public final static String DATA_DIR = "data";
    public final static String BERKELEY_DIR = "_berkeley" ;
    public final static String LOG_DIR = "log" ;
    public final static String SEARCHRESULTS_DIR = "searchresults" ;
    
    /*
     * Ne doit pas être nul. Est utilisé si un répertoire n'est pas défini.
     */
    public File getDefaultRootDirectory();
    
    /**
     *Peut être nul.
     */
    public File getDirectory(String name);
    
}
