/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.util.attr;

/**
 *
 * @author Vincent Calame
 */
public class AttributeUtils {
    
    private AttributeUtils() {
    }
    
    public static boolean isEqual(GenericAttribute attr1, GenericAttribute attr2) {
        boolean test1 =  attr1.getName().equals(attr2.getName());
        if (!test1) return false;
        if (attr1 instanceof SimpleAttribute) {
            if (attr2 instanceof SimpleAttribute) {
               return ((SimpleAttribute)attr1).getValue().equals(((SimpleAttribute)attr2).getValue());
            }
        }
        return false;
    }
    
}
