/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.util.attr;

/**
 *
 * @author Vincent Calame
 */
public class DefaultSimpleAttribute implements SimpleAttribute {
    private String name;
    private String value;
    
    public DefaultSimpleAttribute(String name) {
        this.name = name;
    }
    
    public String getName() {
        return name;
    }

    public String getValue() {
        return value;
    }

    protected void innerSetValue(String value) {
        this.value = value;
    }
    
}
