/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2008 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.util.html;

import net.mapeadores.util.localisation.*;

/**
 *
 * @author Vincent Calame
 */
public class CommandBoxParameters {
    private HTMLAttributes formAttributes = new HTMLAttributes();
    private HTMLAttributes fieldsetAttributes = new HTMLAttributes();
    private HTMLAttributes legendAttributes = new HTMLAttributes();
    private HTMLAttributes commandKeyDivAttributes = new HTMLAttributes();
    private SubmitParameters submitParameters = new SubmitParameters();
    
    public CommandBoxParameters() {
    }
    
    public HTMLAttributes getFieldsetAttributes() {
        return fieldsetAttributes;
    }
    
    public void setFieldsetAttributes(HTMLAttributes fieldsetAttributes) {
        if (fieldsetAttributes == null) this.fieldsetAttributes = new HTMLAttributes();
        else this.fieldsetAttributes = fieldsetAttributes;
    }
    
    public HTMLAttributes getLegendAttributes() {
        return legendAttributes;
    }
    
    public void setLegendAttributes(HTMLAttributes legendAttributes) {
        if (legendAttributes == null) this.legendAttributes = new HTMLAttributes();
        else this.legendAttributes = legendAttributes;
    }
    
    public HTMLAttributes getCommandKeyDivAttributes() {
        return commandKeyDivAttributes;
    }
    
    public void setCommandKeyDivAttributes(HTMLAttributes commandKeyDivAttributes) {
        if (commandKeyDivAttributes == null) this.commandKeyDivAttributes = new HTMLAttributes();
        else this.commandKeyDivAttributes = commandKeyDivAttributes;
    }

    public HTMLAttributes getFormAttributes() {
        return formAttributes;
    }

    public void setFormAttributes(HTMLAttributes formAttributes) {
        if (formAttributes == null) this.formAttributes = new HTMLAttributes();
        else this.formAttributes = formAttributes;
    }

    public SubmitParameters getSubmitParameters() {
        return submitParameters;
    }

    public void setSubmitParameters(SubmitParameters submitParameters) {
        if (submitParameters == null) this.submitParameters = new SubmitParameters();
        else this.submitParameters = submitParameters;
    }

}
