/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2007 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Sformatte 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.util.localisation;

import java.io.Serializable;

/**
 *
 * @author Vincent Calame
 */
public class LocalisationInfoBean implements Serializable {
    private String workingLang;
    private String formatLang;
    private String formatCountry;
    
    public LocalisationInfoBean() {
    }
    
    public String getWorkingLang() {
        return workingLang;
    }
    
    public void setWorkingLang(String workingLang) {
        this.workingLang = workingLang;
    }
    
    public String getFormatLang() {
        return formatLang;
    }
    
    public void setFormatLang(String formatLang) {
        this.formatLang = formatLang;
    }
    
    public String getFormatCountry() {
        return formatCountry;
    }
    
    public void setFormatCountry(String formatCountry) {
        this.formatCountry = formatCountry;
    }
    
}
